Get customer connection token

Generates new inactive* oauth_tokens for unregistered device IDs or new customer refresh tokens.

When this endpoint is called, the active refresh token and the devices registered with this token will be expired.

This endpoint should be called when:

  • eCommerce has a customer refresh token and wants to register a new deviceId, generating its customer oauth token.
    DATA: [refresh_token, *extra_login_data]

  • eCommerce does not have a customer refresh token and wants to register a new device tied to a NEW customer refresh token and customer oauth token.
    DATA: [customer_id, private_key, *extra_login_data]

*Extra_login_data is required only for eCommerces not using UnDosTres wallet authentication systems.
Such Ecommerces will receive ACTIVE customer oauth tokens.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
int64
required

Identifier for the customer to recognize their response

int64

The same customer id that was generated during the create account flow

string

The same private key that was generated during the create account flow

string
required

The same refresh token that was generated during the create account flow

string
required

The same device_id that was sent in the create account request

string
required

Token associated to the ecommerce provided by undostresWallet
(the same one that is usually sent in the headers when communicating
with other endpoints)

string

Data that validates user approval (if you use the verification services of undostresWallet, undostresWallet will send an otp to the customer's mobile phone and this field can be ommitted. The field is otherwise required)

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json